Skip to main content
PUT
/
subscriptions
/
cp
/
api
/
v2
/
subscription-contracts-add-sectioned-line-item
/
{contractId}
Add a line item to a specific section of a contract
curl --request PUT \
  --url https://www.myshop.com/apps/subscriptions/cp/api/v2/subscription-contracts-add-sectioned-line-item/{contractId} \
  --header 'Content-Type: application/json' \
  --data '
{
  "bundleUniqueId": "<string>",
  "sectionedBundleItems": [
    {
      "id": 123,
      "sectionedVariantInfos": [
        {
          "variantId": "<string>",
          "variantQty": 123
        }
      ]
    }
  ]
}
'
{}

Documentation Index

Fetch the complete documentation index at: https://appstleinc-aeca3e0a.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

contractId
integer<int64>
required

Body

application/json
bundleUniqueId
string
sectionedBundleItems
object[]

Response

200 - */*

OK

The response is of type object.